Why wait for an already-obsolete OS? I want 4.2 NOW, not 4.1 !

Printable View

Show 100 post(s) from this thread on one page
Page 1 of 2 12 LastLast
Show 100 post(s) from this thread on one page
Page 1 of 2 12 LastLast